Last Comment Bug 563908 - Investigate why test-columns.js test_apply_to_folder_no_children and test_apply_to_folder_and_children fail on trunk Mac builds
: Investigate why test-columns.js test_apply_to_folder_no_children and test_app...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Thunderbird 20.0
Assigned To: Mark Banner (:standard8, limited time in Dec)
:
:
Mentors:
Depends on: 556848
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 05:47 PDT by Mark Banner (:standard8, limited time in Dec)
Modified: 2013-01-02 12:51 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Re-enable tests on mac (1.20 KB, patch)
2013-01-02 03:00 PST, Mark Banner (:standard8, limited time in Dec)
mconley: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, limited time in Dec) 2010-05-05 05:47:50 PDT
I'm disabling these tests for Mac on trunk, as they are causing a permanent orange, and we need to re-open the tree.

Given that afaict the tests work manually for me, and it appears to be a click selection problem with sub-popup menus, I'm therefore assuming this is likely to be a core or test bug, rather than a Thunderbird specific issue.

Log:

http://tinderbox.mozilla.org/showlog.cgi?tree=Thunderbird&errorparser=unittest&logfile=1273057699.1273059982.28882.gz&buildtime=1273057699&buildname=MacOSX%2010.5%20comm-central%20check&fulltext=1#err0

Highlights:

NEXT ERROR TEST-UNEXPECTED-FAIL |  test_apply_to_folder_no_children
  EXCEPTION: Popup never opened at action depth: 0
    at: test-window-helpers.js line 792
       Error("Popup never opened at action depth: 0")  0
       _click_menus([object XULElement],[object Array]) test-window-helpers.js 792
       invoke_column_picker_option([object Array]) test-columns.js 372
       _apply_to_folder_common(false) test-columns.js 409
       test_apply_to_folder_no_children() test-columns.js 437
            frame.js 468
            frame.js 520
            frame.js 562
            frame.js 411
            frame.js 568
            server.js 164
            server.js 168
TEST-UNEXPECTED-FAIL |  test_apply_to_folder_and_children
  EXCEPTION: Popup never opened at action depth: 0
    at: test-window-helpers.js line 792
       Error("Popup never opened at action depth: 0")  0
       _click_menus([object XULElement],[object Array]) test-window-helpers.js 792
       invoke_column_picker_option([object Array]) test-columns.js 372
       _apply_to_folder_common(true) test-columns.js 409
       test_apply_to_folder_and_children() test-columns.js 469
            frame.js 468
            frame.js 520
            frame.js 562
            frame.js 411
            frame.js 568
            server.js 164
            server.js 168

From some investigations I've done, it appears that the sub-popup menu isn't being displayed when it is being clicked on in _click_menus.
Comment 1 Andrew Sutherland [:asuth] 2010-05-06 00:07:16 PDT
(This is the kind of thing where I need the ability to get rich contextual information to reasonably debug the problem.)
Comment 2 Mark Banner (:standard8, limited time in Dec) 2013-01-02 03:00:26 PST
Created attachment 696974 [details] [diff] [review]
Re-enable tests on mac

I spotted this bug the other day, decided to run it through try server.

Try server says these tests now pass on Mac. No idea what fixed it, but we might as well re-enable:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&noignore=1&rev=0bdca57120e8
Comment 3 Mike Conley (:mconley) 2013-01-02 06:20:27 PST
Comment on attachment 696974 [details] [diff] [review]
Re-enable tests on mac

Review of attachment 696974 [details] [diff] [review]:
-----------------------------------------------------------------

Let's do it. Thanks Mark!
Comment 4 Mark Banner (:standard8, limited time in Dec) 2013-01-02 12:51:08 PST
https://hg.mozilla.org/comm-central/rev/54a7a86bf250

Note You need to log in before you can comment on or make changes to this bug.